Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class AjaxComponentEventRequestHandler

    java.lang.Object
      org.apache.tapestry5.internal.services.AjaxComponentEventRequestHandler

All Implemented Interfaces:
  ComponentEventRequestHandler

    public class AjaxComponentEventRequestHandler

extends java.lang.Object
implements ComponentEventRequestHandler

Similar to `ComponentEventRequestHandlerImpl`, but built around the Ajax request cycle, where the action request sends back an immediate JSON response containing the new content.

Constructor Summary
`AjaxComponentEventRequestHandler(RequestPageCache cache, Request request, PageRenderQueue queue, ComponentEventResultProcessor resultProcessor, PageActivator pageActivator, PageContentTypeAnalyzer pageContentTypeAnalyzer, Environment environment, AjaxPartialResponseRenderer partialRenderer)`

Method Summary
`void` | `handle(ComponentEventRequestParameters parameters)` Handler for a component action request which will trigger an event on a component and use the return value to send a response to the client (typically, a redirect to a page render URL).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AjaxComponentEventRequestHandler

    public AjaxComponentEventRequestHandler(RequestPageCache cache,
                                            Request request,
                                            PageRenderQueue queue,
                                            @Ajax
                                            ComponentEventResultProcessor resultProcessor,
                                            PageActivator pageActivator,
                                            PageContentTypeAnalyzer pageContentTypeAnalyzer,
                                            Environment environment,
                                            AjaxPartialResponseRenderer partialRenderer)

Method Detail

### handle

    public void handle(ComponentEventRequestParameters parameters)
                throws java.io.IOException

  Description copied from interface: `ComponentEventRequestHandler`
  Handler for a component action request which will trigger an event on a component and use the return value to send a response to the client (typically, a redirect to a page render URL).

  Specified by:
    `handle` in interface `ComponentEventRequestHandler`
  Parameters:
    `parameters` - defining the requst
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.